Subject: RE: Yahya & Adam
From: Lisa Campbell <[email-masked]>
To: Jamie Sorensen <[email-masked]>, Samarth Chea <[email-masked]>, Jamie Laber <[email-masked]>, "Kelsey Sikkink" <[email-masked]>
Cc: Isabel Cardenas <[email-masked]>, Isabel Garcia <[email-masked]>
Date: Fri, 31 Oct 2025 13:01:09 +0000

Thank you!

Lisa Campbell
Human Resources Director
································································
Reichel Foods, Inc. | 3706 Enterprise Drive SW | Rochester MN, 55902 | Phone: 507.289.7264 | Fax: 507.289.6552 | www.reichelfoods.com<http://www.reichelfoods.com/>

From: Jamie Sorensen <[email-masked]>
Sent: Friday, October 31, 2025 5:24 AM
To: Lisa Campbell <[email-masked]>; Samarth Chea <[email-masked]>; Jamie Laber <[email-masked]>; Kelsey Sikkink <[email-masked]>
Cc: Isabel Cardenas <[email-masked]>; Isabel Garcia <[email-masked]>
Subject: RE: Yahya & Adam

Good morning,
               I spoke with Yahya again and looked at camera again. Yahya says he did not hear anyone call for Adam and that he just seen the other kid needed help so he went to help him not knowing Adam was already on his way.  He says he had no intention of trying to get there before Adam did. It has also been reiterated to him again to stay away from Adam unless it is work related and to be cordial and respectful when interactions with Adam or anyone are needed and to make sure he always has the best intentions.

Thanks,
Jamie

From: Lisa Campbell <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, October 30, 2025 2:15 PM
To: Samarth Chea <[email-masked]<mailto:[email-masked]>>; Jamie Laber <[email-masked]<mailto:[email-masked]>>; Kelsey Sikkink <[email-masked]<mailto:[email-masked]>>; Jamie Sorensen <[email-masked]<mailto:[email-masked]>>
Cc: Isabel Cardenas <[email-masked]<mailto:[email-masked]>>; Isabel Garcia <[email-masked]<mailto:[email-masked]>>
Subject: RE: Yahya & Adam

Thank you! Jamie S is going to follow up with Yahya.

Lisa Campbell
Human Resources Director
································································
Reichel Foods, Inc. | 3706 Enterprise Drive SW | Rochester MN, 55902 | Phone: 507.289.7264 | Fax: 507.289.6552 | www.reichelfoods.com<http://www.reichelfoods.com/>

From: Samarth Chea <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, October 30, 2025 1:16 PM
To: Lisa Campbell <[email-masked]<mailto:[email-masked]>>; Jamie Laber <[email-masked]<mailto:[email-masked]>>; Kelsey Sikkink <[email-masked]<mailto:[email-masked]>>; Jamie Sorensen <[email-masked]<mailto:[email-masked]>>
Cc: Isabel Cardenas <[email-masked]<mailto:[email-masked]>>; Isabel Garcia <[email-masked]<mailto:[email-masked]>>; Samarth Chea <[email-masked]<mailto:[email-masked]>>
Subject: RE: Yahya & Adam

Yes the conversation Jamie and I had included that

Sam Chea
Production Supervisor
································································
Reichel Foods, Inc. | 3706 Enterprise Drive SW | Rochester MN, 55902 | Phone: 507.289.7264 ext. 253 | Fax: 507.289.6552 | www.reichelfoods.com<http://www.reichelfoods.com/>

From: Lisa Campbell <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, October 30, 2025 1:12 PM
To: Jamie Laber <[email-masked]<mailto:[email-masked]>>; Kelsey Sikkink <[email-masked]<mailto:[email-masked]>>; Samarth Chea <[email-masked]<mailto:[email-masked]>>; Jamie Sorensen <[email-masked]<mailto:[email-masked]>>
Cc: Isabel Cardenas <[email-masked]<mailto:[email-masked]>>; Isabel Garcia <[email-masked]<mailto:[email-masked]>>
Subject: RE: Yahya & Adam

Did you also talk to Adam about touching other employees?

Lisa Campbell
Human Resources Director
································································
Reichel Foods, Inc. | 3706 Enterprise Drive SW | Rochester MN, 55902 | Phone: 507.289.7264 | Fax: 507.289.6552 | www.reichelfoods.com<http://www.reichelfoods.com/>

From: Jamie Laber <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, October 30, 2025 1:00 PM
To: Kelsey Sikkink <[email-masked]<mailto:[email-masked]>>; Samarth Chea <[email-masked]<mailto:[email-masked]>>; Jamie Sorensen <[email-masked]<mailto:[email-masked]>>; Lisa Campbell <[email-masked]<mailto:[email-masked]>>
Cc: Isabel Cardenas <[email-masked]<mailto:[email-masked]>>; Isabel Garcia <[email-masked]<mailto:[email-masked]>>
Subject: RE: Yahya & Adam

So I just got done talking with Abdishakur and Adam about the incident that happened first thing I would like to bring up is that awhile ago Yahya had an incident with Abdishakur and Adam and they were all told to stay away from each other unless it was work related so at 7:32am this morning Abdishakur was in the break room getting ready for his hearing test when he asked Adam to come and help him Yahya was right by him vacuuming right when Adam got up to help Abdishakur that’s when Yahya went in between them so Adam then reached for the pen and told Yahya that he was helping Abdishakur and then Yahya started to yell at Adam saying don’t push me don’t push me then Adam told him I’m not pushing you I’m just helping Abdishakur and Adam said Yahya kept yelling so he told him to shut up and Yahya walked away. Adam was talked to about not telling employees to shut up and to get a supervisor right away Kelsey can you document this please.

Thanks

From: Kelsey Sikkink <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, October 30, 2025 10:37 AM
To: Samarth Chea <[email-masked]<mailto:[email-masked]>>; Jamie Sorensen <[email-masked]<mailto:[email-masked]>>; Lisa Campbell <[email-masked]<mailto:[email-masked]>>
Cc: Isabel Cardenas <[email-masked]<mailto:[email-masked]>>; Jamie Laber <[email-masked]<mailto:[email-masked]>>; Isabel Garcia <[email-masked]<mailto:[email-masked]>>
Subject: Re: Yahya & Adam

THIS MESSAGE ORIGINATED FROM OUTSIDE OF YOUR ORGANIZATION. IF IT APPEARS TO BE FROM AN INSIDE SOURCE, IT IS MOST LIKELY A PHISHING ATTEMPT AND PRECAUTIONS SHOULD BE TAKEN.

Hi Sam,

Can you please issue Adam a written warning for creating conflict in the workplace and being disrespectful to co-workers? Any further infractions will result in a final and or assignment end.

Kelsey Sikkink

CMG Accounts Manager

 507.923.0366 Direct

································································

 Corporate Management Group | 3707 Commercial Dr SW | Rochester MN, 55902 | Phone: 507.923.4955

Corporate Management Group - Workforce management and staffing solutions<https://url.emailprotection.link/?bdnuwpCIbWPAGCRMFIta1oYJWBQ0md7JBIKou9MqdSGfpdPzzw_9FqMfQgzJ-BHzgf6BinjU9ddrVd6obojjfpw~~>
A nationwide workforce management and staffing agency headquartered in Colorado and Minnesota that acts as your human resource and employment solution.
www.corpmgmtgroup.com<http://www.corpmgmtgroup.com>

Find Us On Facebook

Like Us On Instagram

________________________________
From: Samarth Chea <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, October 30, 2025 8:55 AM
To: Jamie Sorensen <[email-masked]<mailto:[email-masked]>>; Kelsey Sikkink <[email-masked]<mailto:[email-masked]>>; Lisa Campbell <[email-masked]<mailto:[email-masked]>>
Cc: Isabel Cardenas <[email-masked]<mailto:[email-masked]>>; Samarth Chea <[email-masked]<mailto:[email-masked]>>; Jamie Laber <[email-masked]<mailto:[email-masked]>>; Isabel Garcia <[email-masked]<mailto:[email-masked]>>
Subject: RE: Yahya & Adam

Copying 1st Shift Supervisors

Sam Chea

Production Supervisor

································································

Reichel Foods, Inc. | 3706 Enterprise Drive SW | Rochester MN, 55902 | Phone: 507.289.7264 ext. 253 | Fax: 507.289.6552 | www.reichelfoods.com<https://url.emailprotection.link/?bnp-MNXnxC2_AGAyC1wNB4XOTEKCaXh5k3puK1zTyAF_1rrcYX2uekQiClk1xecsPuWtvLx88VVlGU-vHM7t1lA~~>

From: Jamie Sorensen <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, October 30, 2025 8:34 AM
To: Kelsey Sikkink <[email-masked]<mailto:[email-masked]>>; Lisa Campbell <[email-masked]<mailto:[email-masked]>>
Cc: Isabel Cardenas <[email-masked]<mailto:[email-masked]>>; Samarth Chea <[email-masked]<mailto:[email-masked]>>
Subject: Yahya & Adam

Good morning All,

This morning at about 8am Yahya came to me very upset because he says Adam shoved him out of the way when he was trying to help someone fill out their hearing test form and Adam said he was going to help him. Yahya stated then he told him not to push him and then there were some words back and forth. I know Isabel had to get involved and tell them to stop raising their voices at each other.  Yahya is very hurt by this and says he is a hard worker and does not deserve this treatment. He also feels like there are ongoing issues with Adam towards him and that we do not effectively address those issues and that this is putting his career at risk and he does not want to be subject to this atmosphere. I did watch the camera, and you can see that Adam did shove him out of the way while Yahya was helping this person. It appears that Adam was coming over to help him as well, and Yahya just got there a few seconds before him. That in no way gives Adam the right to do what he did.  I feel there should be some type of progressive disciplinary as there should be no reason to handle this the way Adam did.  We need to come up with something effective to reduce the potential for further issues between these two here, as these personnel cross paths multiple times per day.

Please see attached link. R:\Operations\_Production\Supervisor Daily Logs\Investigations\Breakroom-vending area view_20251030_073339\StandalonePlayer.exe<file://reichelfoods.local/Company_Data/Operations/_Production/Supervisor%20Daily%20Logs/Investigations/Breakroom-vending%20area%20view_20251030_073339/StandalonePlayer.exe>

Isabel, please chime in if you have anything else that may be relevant to this😊

Thanks,

Jamie Sorensen

Sanitation Manager

································································

Reichel Foods, Inc. | 3706 Enterprise Drive SW | Rochester MN, 55902 | Phone: 507.289.7264 | Fax: 507.289.6552 | www.reichelfoods.com<https://url.emailprotection.link/?bnp-MNXnxC2_AGAyC1wNB4XOTEKCaXh5k3puK1zTyAF_1rrcYX2uekQiClk1xecsPuWtvLx88VVlGU-vHM7t1lA~~>